Set-ExecutionPolicy -ExecutionPolicy Bypass -Scope CurrentUser
Start-Process powershell -Verb runAs "Set-ItemProperty -Path REGISTRY::HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\System -Name ConsentPromptBehaviorAdmin -Value 0"

winget install                `
  --disable-interactivity     `
  --accept-source-agreements  `
  --force                     `
                              `
  Microsoft.powershell        `
  Hashicorp.Terraform         `
  Amazon.AWSCLI               `
  Kubernetes.kubectl          `
  Helm.Helm                   `
  Derailed.k9s                `
  Git.Git                     `
  ahmetb.kubectx              `
  OpenVPNTechnologies.OpenVPN `
  DEVCOM.JetBrainsMonoNerdFont

New-Item -Path $profile -ItemType "file" -Force

@'
Set-Alias -Name k -Value kubectl

function ka { k apply -f $args }
function kg { k get -f $args }
function kd { k describe -f $args }
function kx { k delete -f $args }

function ti { terraform init $args }
function ta { terraform apply $args }
function taa { terraform apply --auto-approve --parallelism 100 $args }

$env:EDITOR = "code -w"
$env:PATH = "$env:PATH;C:\Program Files\Vim\vim91;"
'@ | `
Out-File -FilePath $profile

Set-Location ~/Desktop

$ProgressPreference = 'SilentlyContinue'
Invoke-WebRequest -useb https://releases.pmh.codes/cocktail.tar -OutFile cocktail.tar

tar -xvf cocktail.tar

Start-Process powershell -Verb runAs "Set-Service ssh-agent -StartupType Automatic"
Start-Process powershell -Verb runAs "Start-Service ssh-agent"
